#global gitdate 20130514
#global gitversion 77a1594
%global tarball xf86-video-qxl

%if 0%{?gitdate}
%define gver .%{gitdate}git%{gitversion}
%endif

Name:    x11-driver-video-qxl
Version: 0.1.5
Release: %mkrel 3
Summary: X.org driver for QEMU QXL paravirt video
Group:  System/X11
URL:    http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-qxl-%{version}.tar.xz
Patch1: 0001-worst-hack-of-all-time-to-qxl-driver.patch
Patch2: 0002-Xspice-Use-print-instead-of-print.patch
Patch3: 0003-Xspice-Remove-extra-space-before-assignment.patch
Patch4: 0004-Xspice-Fix-Python3-str-vs-bytes-confusion.patch
Patch5: 0005-Xspice-Adjust-shebang-to-explicitly-mention-python3.patch
Patch6: 0006-qxl-call-provider-init.patch
Patch7: 0001-configure-Simplify-fragile-libdrm-detection.patch
Patch8: 0001-qxl-Include-only-the-dpms-headers-we-need.patch
Patch9: 0001-Fix-build.patch
License: MIT

BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel
BuildRequires: x11-server-devel
BuildRequires: x11-util-macros
BuildRequires: spice-protocol
BuildRequires: libdrm-devel
BuildRequires: kernel-devel
BuildRequires: libudev-devel

%description
X.org driver for QEMU QXL paravirt video.

%prep
%setup -q -n %{tarball}-%{?gitdate:%{gitdate}}%{!?gitdate:%{version}}
%apply_patches
autoreconf -f -i

%build
KINC=$(ls /usr/src/*/include/uapi/ -d|tail -1)
CFLAGS="%optflags -I$KINC"
echo ">> CFLAGS='$CFLAGS'"
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/qxl_drv.la
%{_libdir}/xorg/modules/drivers/qxl_drv.so


%changelog
* Wed Jan 26 2022 tex - 0.1.5-3pclos2022
- rebuild against updates

* Thu Mar 21 2019 tex - 0.1.5-2pclos2019
- rebuild against updates

* Sun Mar 26 2017 bb2 <bb2> - 0.1.5-1pclos2017
- new version

* Wed Jul 20 2016 bb <bb> 0.1.1-5pclos2016
- rebuild new xorg

